SystemOrganization addCategory: #ConfigurationOfHealthReportProducer!

Object subclass: #ConfigurationOfHealthReportProducer
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfHealthReportProducer'!

!ConfigurationOfHealthReportProducer classSide methodsFor: 'as yet unclassified' stamp: 'Alexandre Bergel 1/18/2010 15:07'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfHealthReportProducer classSide methodsFor: 'as yet unclassified' stamp: 'Alexandre Bergel 1/18/2010 15:07'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfHealthReportProducer classSide methodsFor: 'as yet unclassified' stamp: 'Alexandre Bergel 1/18/2010 15:07'!
loadDefault
	(self project version: '0.1-baseline') load! !

!ConfigurationOfHealthReportProducer classSide methodsFor: 'as yet unclassified' stamp: 'Alexandre Bergel 1/18/2010 15:07'!
project

	^self new project! !

!ConfigurationOfHealthReportProducer methodsFor: 'baselines' stamp: 'Alexandre Bergel 1/18/2010 15:07'!
baseline01: spec 
	<version: '0.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/HealthReportProducer'.
		spec 
			package: 'HealthReportProducer' ]! !

!ConfigurationOfHealthReportProducer methodsFor: 'baselines' stamp: 'jannik.laval 9/13/2010 22:45'!
baseline02: spec 
	<version: '0.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/HealthReportProducer'.
		spec 
			package: 'HealthReportProducer' ]! !

!ConfigurationOfHealthReportProducer methodsFor: 'baselines' stamp: 'AlexandreBergel 3/7/2011 11:53'!
baseline03: spec
	<version: '0.3-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.squeaksource.com/HealthReportProducer'.
		spec 
			project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'XMLWriter' with: [
				spec
					className: 'ConfigurationOfXMLWriter';
					versionString: #'bleedingEdge';
					repository: 'http://www.squeaksource.com/XMLWriter' ].
		spec package: 'HealthReportProducer'.
		spec group: 'default' with: #('HealthReportProducer' 'XMLSupport' 'XMLWriter'). ].

! !

!ConfigurationOfHealthReportProducer methodsFor: 'baselines' stamp: 'AlexandreBergel 3/7/2011 11:52'!
default: spec 
	<version: 'default'>
	
	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.squeaksource.com/HealthReportProducer'.
		spec 
			project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'XMLWriter' with: [
				spec
					className: 'ConfigurationOfXMLWriter';
					versionString: #'bleedingEdge';
					repository: 'http://www.squeaksource.com/XMLWriter' ].
		spec package: 'HealthReportProducer'.
		spec group: 'default' with: #('HealthReportProducer' 'XMLSupport' 'XMLWriter'). ].
! !

!ConfigurationOfHealthReportProducer methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 3/4/2011 12:41'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.7'.
! !

!ConfigurationOfHealthReportProducer methodsFor: 'accessing' stamp: 'Alexandre Bergel 1/18/2010 15:07'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfHealthReportProducer methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 3/2/2011 16:15'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.5'.
! !

!ConfigurationOfHealthReportProducer methodsFor: 'versions' stamp: 'AlexandreBergel 3/2/2011 16:12'!
version10beta2: spec
	<version: '1.0-beta.2' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/2/2011 16:12'.
		spec package: 'HealthReportProducer' with: 'HealthReportProducer-AlexandreBergel.12'. ].
! !

!ConfigurationOfHealthReportProducer methodsFor: 'versions' stamp: 'AlexandreBergel 12/30/2010 12:10'!
version11: spec 
        <version: '1.1' imports: #('0.2-baseline')>

        spec for: #common do: [
                spec blessing: #release.
			spec package: 'HealthReportProducer' with: 'HealthReportProducer-AlexandreBergel.9'.
                ].! !

!ConfigurationOfHealthReportProducer methodsFor: 'versions' stamp: 'AlexandreBergel 2/16/2011 19:59'!
version12: spec
	<version: '1.2' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/16/2011 19:59'.
		spec package: 'HealthReportProducer' with: 'HealthReportProducer-AlexandreBergel.10'. ].
! !

!ConfigurationOfHealthReportProducer methodsFor: 'versions' stamp: 'AlexandreBergel 2/25/2011 11:49'!
version13: spec
	<version: '1.3' imports: #('default' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'New version'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '2/25/2011 11:48'.
		spec package: 'HealthReportProducer' with: 'HealthReportProducer-AlexandreBergel.11'. ].
! !

!ConfigurationOfHealthReportProducer methodsFor: 'versions' stamp: 'AlexandreBergel 3/2/2011 16:13'!
version14: spec
	<version: '1.4' imports: #('default' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/2/2011 16:13'.
		spec package: 'HealthReportProducer' with: 'HealthReportProducer-AlexandreBergel.12'. ].
! !

!ConfigurationOfHealthReportProducer methodsFor: 'versions' stamp: 'AlexandreBergel 3/2/2011 16:15'!
version15: spec
	<version: '1.5' imports: #('default' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ''.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/2/2011 16:15'.
		spec package: 'HealthReportProducer' with: 'HealthReportProducer-AlexandreBergel.12'. ].
! !

!ConfigurationOfHealthReportProducer methodsFor: 'versions' stamp: 'AlexandreBergel 3/4/2011 12:41'!
version16: spec
	<version: '1.6' imports: #('default' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '- XMLSupport'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/4/2011 12:41'.
		spec package: 'HealthReportProducer' with: 'HealthReportProducer-AlexandreBergel.11'. ].
! !

!ConfigurationOfHealthReportProducer methodsFor: 'versions' stamp: 'AlexandreBergel 5/19/2011 10:47'!
version17: spec
	<version: '1.7' imports: #( '0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/4/2011 12:41'.
		spec repository: 'http://www.squeaksource.com/HealthReportProducer'.
		spec 
			project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: '1.1.7';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'XMLWriter' with: [
				spec
					className: 'ConfigurationOfXMLWriter';
					versionString: '1.0.4';
					repository: 'http://www.squeaksource.com/XMLWriter' ].
		spec package: 'HealthReportProducer' with: 'HealthReportProducer-Ivan_Rojas.13'.
		spec group: 'default' with: #('HealthReportProducer' ). ].
! !

!ConfigurationOfHealthReportProducer methodsFor: 'versions' stamp: 'AlexandreBergel 3/2/2011 16:12'!
version1beta1: spec
	<version: '1.0-beta.1' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '- added utility methods'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '3/2/2011 16:12'.
		spec package: 'HealthReportProducer' with: 'HealthReportProducer-AlexandreBergel.12'. ].
! !
